summaryrefslogtreecommitdiffstats
path: root/fluent-bit/packaging/windows-checksums.sh
diff options
context:
space:
mode:
authorDaniel Baumann <daniel.baumann@progress-linux.org>2024-04-19 02:57:58 +0000
committerDaniel Baumann <daniel.baumann@progress-linux.org>2024-04-19 02:57:58 +0000
commitbe1c7e50e1e8809ea56f2c9d472eccd8ffd73a97 (patch)
tree9754ff1ca740f6346cf8483ec915d4054bc5da2d /fluent-bit/packaging/windows-checksums.sh
parentInitial commit. (diff)
downloadnetdata-be1c7e50e1e8809ea56f2c9d472eccd8ffd73a97.tar.xz
netdata-be1c7e50e1e8809ea56f2c9d472eccd8ffd73a97.zip
Adding upstream version 1.44.3.upstream/1.44.3upstream
Signed-off-by: Daniel Baumann <daniel.baumann@progress-linux.org>
Diffstat (limited to 'fluent-bit/packaging/windows-checksums.sh')
-rwxr-xr-xfluent-bit/packaging/windows-checksums.sh20
1 files changed, 20 insertions, 0 deletions
diff --git a/fluent-bit/packaging/windows-checksums.sh b/fluent-bit/packaging/windows-checksums.sh
new file mode 100755
index 00000000..227ac0ff
--- /dev/null
+++ b/fluent-bit/packaging/windows-checksums.sh
@@ -0,0 +1,20 @@
+#!/bin/bash
+set -eu
+
+# Generate checksums for local Windows binaries
+
+SOURCE_DIR=${SOURCE_DIR:?}
+
+pushd "$SOURCE_DIR"
+for i in *.exe
+do
+ echo "$i"
+ sha256sum "$i" > "$i".sha256
+done
+
+for i in *.zip
+do
+ echo "$i"
+ sha256sum "$i" > "$i".sha256
+done
+popd